#ifndef __BSP_MASTER_H__
#define __BSP_MASTER_H__

#include "CH58x_common.h"
#include "CH58xBLE_LIB.h"

// 0xAA CMD/DATA/ DATA_LEN (DATA) checksum 0x55

typedef struct __attribute__((packed))
{
    uint8_t header;
    uint8_t  cmd; // CMD/DATA
    uint8_t len;    // DATA_LEN
    uint8_t *pData;
    uint8_t checksum;
    uint8_t tail;
} TsFrameData;

#endif // ! __BSP_MASTER_H__
